package tech.glinfo.enbao.modules.sh.service;

import com.baomidou.mybatisplus.extension.service.IService;
import tech.glinfo.enbao.common.utils.R;
import tech.glinfo.enbao.modules.appuser.entity.AppUserEntity;
import tech.glinfo.enbao.modules.sh.entity.ShDlinkEntity;
import tech.glinfo.enbao.modules.sh.form.ShDlinkForm;

/**
 * @author lyt
 * @date 2021/8/31 16:14
 */
public interface OtherShDlinkService extends IService<ShDlinkEntity> {


    R save(ShDlinkForm form, AppUserEntity user);

    R info(Integer id);

    ShDlinkEntity checkTime(String time, Integer deviceId, String statusO, String statusT);

    R list(Integer userId);

    R delete(Integer id);

    R updateStatus(Integer id, Integer status);

    R dlinkDeviceList(Integer id);
}
